# all files / src/aggregators/is-sized-for-mobile-screen/ index.js

100% Statements 9/9
100% Branches 0/0
100% Functions 4/4
100% Lines 9/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66

    1×
    1×

    1×

    1×

    1×

    1×
    1×

    1×

    1×
     /**
     * @license
     * Copyright 2016 Google Inc. All rights reserved.
     *
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     *
     *     http://www.apache.org/licenses/LICENSE-2.0
     *
     * Unless required by applicable law or agreed to in writing, software
     * distributed under the License is distributed on an "AS IS" BASIS,
     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     * See the License for the specific language governing permissions and
     * limitations under the License.
     */

    'use strict';

    const Aggregate = require('../aggregate');
    const viewport = require('../../audits/mobile-friendly/viewport');

    class MobileFriendly extends Aggregate {

      /**
       * @override
       * @return {string}
       */
      static get name() {
        return 'Design is mobile-friendly';
      }

      /**
       * @override
       * @return {string}
       */
      static get description() {
        return `Users increasingly experience your app on mobile devices, so it's important to
                ensure that the experience can adapt to smaller screens.`;
      }

      /**
       * @override
       * @return {!AggregationType}
       */
      static get type() {
        return Aggregate.TYPES.PWA;
      }

      /**
       * @override
       * @return {!AggregationCriteria}
       */
      static get criteria() {
        const criteria = {};
        criteria[viewport.meta.name] = {
          value: true,
          weight: 1
        };

        return criteria;
      }
    }

    module.exports = MobileFriendly;